Bug 194363 - CVE-2006-2193 tiff2pdf buffer overflow
CVE-2006-2193 tiff2pdf buffer overflow
Product: Fedora
Classification: Fedora
Component: libtiff (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jindrich Novy
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-06-07 11:16 EDT by Josh Bressers
Modified: 2013-07-02 19:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-08 03:33:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-06-07 11:16:01 EDT
tiff2pdf buffer overflow

A buffer overflow flaw has been found in tiff2pdf.
Thomas Biege told vendor-sec about this (it came from a colleague of

The code in question is as such:

char buffer[5];
sprintf(buffer, "\\%.3o", pdfstr[i]);

pdfstr[i] is signed char, therefore would write \37777777741

This issue also affects FC4
Comment 1 Jindrich Novy 2006-09-08 03:33:23 EDT
Fixed in FC5 by libtiff-3.8.2-1.fc6.
Comment 2 Jindrich Novy 2006-09-08 03:54:32 EDT
(or better by its equvalent in FC5: libtiff-3.8.2-1.fc5)

Note You need to log in before you can comment on or make changes to this bug.